property zoom

on getBehaviorTooltip me
  return "Zoom sur les images"
end

on getPropertyDescriptionList
  description = [:]
  addProp(description, #zoom, [#default: 1, #format: #boolean, #comment: "Active / Désactive le zoom sur les images"])
  return description
end

on mouseDown
  if zoom = 1 then
    forget(window("zoom"))
    window("zoom").windowType = 1
    resolX = getAt(dosGetDisplay(), 1)
    resolY = getAt(dosGetDisplay(), 2)
    window("zoom").rect = rect((resolX / 2) - (640 / 2), (resolY / 2) - (480 / 2), (resolX / 2) - (640 / 2) + 640, (resolY / 2) - (480 / 2) + 480)
    open(window("zoom"))
    tell window("zoom")
      go(1)
    end tell
  end if
  cursor(-1)
end

on mouseWithin
  if zoom = 1 then
    cursor(302)
  end if
end

on mouseLeave
  cursor(-1)
end
